{ config, pkgs, ... }: {
  environment.graphical.colorschemes = {
    purple = {
      image = ../../../external/the_reliquary.png;
      params = [ "--lighten" "0.05" "--bold-delta" "0.1" ];
    };
    purple-light = {
      image = ../../../external/the_reliquary.png;
      params = [ "--light" "--bold-delta" "0.2" "--saturate" "0.1" ];
    };
    blue = { image = ../../../external/blue.jpg; };
    dark = {
      image = ../../../external/the_falls_by_night.jpg;
      params = [ "--backend" "color-thief" ];
    };
    bridge = {
      image = ../../../external/the_bridge.png;
      params = [ "--saturate" "0.05" ];
    };
  };

  home-manager.users.agatha = {
    # Cursor theme
    home.pointerCursor = {
      name = "Adwaita";
      package = pkgs.gnome.adwaita-icon-theme;
      size = 24;
      x11 = {
        enable = true;
        defaultCursor = "Adwaita";
      };
    };

    # GTK theme
    home.file.".themes" = {
      recursive = true;
      source = pkgs.fetchgit {
        url = "https://github.com/ZorinOS/zorin-desktop-themes.git";
        rev = "6708d5148545c6d9a99712f63b5efe5a5c0eb2d9";
        sha256 = "sha256-3KEPP39dCr0ZjyqbAb/isoGdeiySDTvHL9k4oxcw19M=";
        sparseCheckout = [ "ZorinPurple-Dark" "ZorinPurple-Light" ];
      };
    };

    gtk = {
      enable = true;
      font.name = "Cantarell";
      font.size = 12;
      theme.name = if config.environment.graphical.theme.light then
        "ZorinPurple-Light"
      else
        "ZorinPurple-Dark";
    };

    programs.helix.settings.theme =
      if config.environment.graphical.theme.light then
        "paramount-light"
      else
        "paramount-dark";
  };
}
